SVN repository does not import

Want to import existing SVN repository located on local SVN server (Subversion Edge by CollabNet).

But error exists as follow

Error updating working copy: Command failed with error #127!
COMMAND
svn --non-interactive --no-auth-cache --trust-server-cert --username '********' --password '********' info --xml http://192.168.10.3/svn/test

STDOUT
(empty)

STDERR
svn: symbol lookup error: /usr/lib/x86_64-linux-gnu/libsvn_subr-1.so.1: undefined symbol: apr_crypto_block_cleanup

I also have set Credential

I am using Windows 10 as my primary OS. Install Phabricator in VirtualBox (Bitnami Phabricator).

Any more info need, let me know. Thanks in advanced.

Your SVN install is broken. Try re-installing SVN on the Phabricator server.

Thanks for quick replay, I will try to reinstall SVN Server.

I have tried to uninstall and reinstall Subversion on Server by using:

sudo apt-get remove subversion
sudo apt-get install subversion

But unfortunately not any luck :weary:

I have the exact same issue with SVN:

./repository update R2 --trace
[...]
[2020-10-27 18:05:22] EXCEPTION: (CommandException) Command failed with error #127!
COMMAND
svn --non-interactive --no-auth-cache --trust-server-cert --username '********' --password '********' info --xml http://104.197.56.9/subversion

STDOUT
(empty)

STDERR
svn: /opt/bitnami/common/lib/libsasl2.so.2: no version information available (required by /usr/lib/x86_64-linux-gnu/libsvn_ra_svn-1.so.1)
svn: symbol lookup error: /usr/lib/x86_64-linux-gnu/libsvn_subr-1.so.1: undefined symbol: apr_crypto_block_cleanup
 at [<arcanist>/src/future/exec/ExecFuture.php:409]
[...]

But running the svn command directly from the command line works fine.

I’m also using bitnami Phabricator, os is Debian GNU/Linux 9 (stretch)

Phabricator Version Information

Library Version Date Branchpoint
phabricator b9d52f38ddad May 30 2020 f686a0b8275e
arcanist d1c07b4d2634 May 30 2020 0da1a2e17d92

Other Version Information

Binary Version Path
php 7.1.27 fpm-fcgi
diff 3.5 /usr/bin/diff
git 2.19.1 /opt/bitnami/git/bin/git
hg Not Available
pygmentize Not Available
svn 1.9.5 /usr/bin/svn

Your SVN install is broken, or possibly your PHP.

For Bitnami support, try http://bitnami.com/ .